Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Donnie Berkholz" <dberkholz@g.o>
Subject: dev/dberkholz:master commit in: app-text/acroread/files/, app-text/acroread/
Date: Mon, 14 Nov 2011 15:12:46 +0000 (UTC)
commit:     5a34b68bbf7df80b27232189cc5a2a06830c29ad
Author:     Donnie Berkholz <dberkholz <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 14 15:11:55 2011 +0000
Commit:     Donnie Berkholz <dberkholz <AT> gentoo <DOT> org>
CommitDate: Mon Nov 14 15:11:55 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/dberkholz.git;a=commit;h=5a34b68b

acroread: add 9.4.6 security bump, English-only for now.

---
 app-text/acroread/ChangeLog             |  783 +++++++++++++++++++++++++++++++
 app-text/acroread/Manifest              |    5 +
 app-text/acroread/acroread-9.4.6.ebuild |  254 ++++++++++
 app-text/acroread/files/gentoo_config   |   10 +
 app-text/acroread/metadata.xml          |    5 +
 5 files changed, 1057 insertions(+), 0 deletions(-)

diff --git a/app-text/acroread/ChangeLog b/app-text/acroread/ChangeLog
new file mode 100644
index 0000000..bc37c62
--- /dev/null
+++ b/app-text/acroread/ChangeLog
@@ -0,0 +1,783 @@
+# ChangeLog for app-text/acroread
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-text/acroread/ChangeLog,v 1.168 2011/06/25 07:40:18 zmedico Exp $
+
+  25 Jun 2011; Zac Medico <zmedico@g.o> acroread-9.4.2.ebuild:
+  Fix firefox dep for rename from mozilla-firefox.
+
+  05 Jun 2011; Andreas K. Huettel <dilfridge@g.o>
+  -acroread-9.4.1.ebuild:
+  Remove old
+
+  05 Jun 2011; Andreas K. Huettel <dilfridge@g.o> acroread-9.4.2.ebuild:
+  Added QA_DT_HASH, bug 310387
+
+  27 Mar 2011; Nirbheek Chauhan <nirbheek@g.o> acroread-9.4.1.ebuild,
+  acroread-9.4.2.ebuild:
+  Fix slot-dep on gtk+
+
+  26 Feb 2011; Pawel Hajdan jr <phajdan.jr@g.o>
+  acroread-9.4.2.ebuild:
+  x86 stable wrt security bug #354211
+
+  26 Feb 2011; Markos Chandras <hwoarang@g.o> acroread-9.4.2.ebuild:
+  Stable on amd64 wrt bug #354211
+
+*acroread-9.4.2 (25 Feb 2011)
+
+  25 Feb 2011; Timo Gurr <tgurr@g.o> -acroread-9.4.0.ebuild,
+  +acroread-9.4.2.ebuild:
+  Version bump wrt security bug #354211, remove old.
+
+  09 Dec 2010; Markos Chandras <hwoarang@g.o> acroread-9.4.1.ebuild:
+  Stable on amd64 wrt bug #343091
+
+  08 Dec 2010; Pawel Hajdan jr <phajdan.jr@g.o>
+  acroread-9.4.1.ebuild:
+  x86 stable wrt security bug #343091
+
+*acroread-9.4.1 (07 Dec 2010)
+
+  07 Dec 2010; Timo Gurr <tgurr@g.o> -acroread-9.3.3.ebuild,
+  -acroread-9.3.4.ebuild, +acroread-9.4.1.ebuild:
+  Version bump wrt security bug #343091, remove old.
+
+  11 Oct 2010; Pawel Hajdan jr <phajdan.jr@g.o>
+  acroread-9.4.0.ebuild:
+  x86 stable wrt security bug #336508
+
+  11 Oct 2010; Markos Chandras <hwoarang@g.o> acroread-9.4.0.ebuild:
+  Stable on amd64 wrt bug #336508
+
+*acroread-9.4.0 (08 Oct 2010)
+
+  08 Oct 2010; Tomáš Chvátal <scarabeus@g.o>
+  +acroread-9.4.0.ebuild:
+  Version bump. Fixes 23 security vulnerabilities. CVE-2010-2883,
+  CVE-2010-2884, CVE-2010-2887, CVE-2010-2888, CVE-2010-2889, CVE-2010-2890,
+  CVE-2010-3619, CVE-2010-3620, CVE-2010-3621, CVE-2010-3622, CVE-2010-3623,
+  CVE-2010-3624, CVE-2010-3625, CVE-2010-3626, CVE-2010-3627, CVE-2010-3628,
+  CVE-2010-3629, CVE-2010-3630, CVE-2010-3631, CVE-2010-3632, CVE-2010-3656,
+  CVE-2010-3657, and CVE-2010-3658.
+
+  24 Sep 2010; Zac Medico <zmedico@g.o> acroread-9.3.3.ebuild,
+  acroread-9.3.4.ebuild:
+  Bug #331753 - Only pull in openssl-0.9.8* on x86 since it's provided by
+  app-emulation/emul-linux-x86-baselibs on amd64.
+
+  24 Sep 2010; Zac Medico <zmedico@g.o> acroread-9.3.3.ebuild,
+  acroread-9.3.4.ebuild:
+  Bug #331753 - Add missing dependency on openssl-0.9.8*.
+
+  03 Sep 2010; Markos Chandras <hwoarang@g.o> acroread-9.3.4.ebuild:
+  Stable on amd64 wrt bug #322857
+
+  01 Sep 2010; Christian Faulhammer <fauli@g.o>
+  acroread-9.3.4.ebuild:
+  stable x86, security bug 322857
+
+*acroread-9.3.4 (26 Aug 2010)
+
+  26 Aug 2010; Timo Gurr <tgurr@g.o> -acroread-9.3.2.ebuild,
+  +acroread-9.3.4.ebuild:
+  Version bump, fixing security issues CVE-2010-2862, CVE-2010-1240. Remove
+  old vulnerable version.
+
+  12 Jul 2010; Markos Chandras <hwoarang@g.o> acroread-9.3.3.ebuild:
+  Stable on amd64 wrt bug #322857
+
+  03 Jul 2010; Christian Faulhammer <fauli@g.o>
+  acroread-9.3.3.ebuild:
+  stable x86, security bug 322857
+
+*acroread-9.3.3 (01 Jul 2010)
+
+  01 Jul 2010; Timo Gurr <tgurr@g.o> +acroread-9.3.3.ebuild:
+  Version bump, wrt security bug #322857.
+
+  26 Jun 2010; Samuli Suominen <ssuominen@g.o> acroread-9.3.2.ebuild:
+  Remove support for vulnerable seamonkey (#305789) and xulrunner (#324953).
+
+  31 May 2010; Markus Meier <maekke@g.o> acroread-9.3.2.ebuild:
+  amd64 stable, bug #313343
+
+  31 May 2010; Pawel Hajdan jr <phajdan.jr@g.o>
+  acroread-9.3.2.ebuild:
+  x86 stable wrt security bug #313343
+
+*acroread-9.3.2 (19 Apr 2010)
+
+  19 Apr 2010; Timo Gurr <tgurr@g.o> +acroread-9.3.2.ebuild:
+  Version bump, wrt security bug #313343.
+
+  07 Mar 2010; Timo Gurr <tgurr@g.o> -acroread-9.3.ebuild:
+  Remove vulnerable version wrt bug #306429.
+
+  05 Mar 2010; Pacho Ramos <pacho@g.o> acroread-9.3.1.ebuild:
+  stable amd64, security bug 306429
+
+  04 Mar 2010; Christian Faulhammer <fauli@g.o>
+  acroread-9.3.1.ebuild:
+  stable x86, security bug 306429
+
+*acroread-9.3.1 (03 Mar 2010)
+
+  03 Mar 2010; Timo Gurr <tgurr@g.o> -acroread-9.2.ebuild,
+  +acroread-9.3.1.ebuild:
+  Version bump, fixing security issues bug #306429 and typo bug #303907.
+  Remove old.
+
+  09 Feb 2010; Pacho Ramos <pacho@g.o> acroread-9.3.ebuild:
+  amd64 stable, security bug 297385
+
+  07 Feb 2010; Christian Faulhammer <fauli@g.o> acroread-9.3.ebuild:
+  stable x86, security bug 297385
+
+*acroread-9.3 (15 Jan 2010)
+
+  15 Jan 2010; Timo Gurr <tgurr@g.o> +acroread-9.3.ebuild:
+  Version bump, wrt security bug #297385 (CVE-2009-4324).
+
+  27 Oct 2009; Alex Legler <a3li@g.o> -acroread-9.1.3.ebuild:
+  Non-maintainer commit: Removing vulnerable version, security bug 289016.
+
+  24 Oct 2009; Christian Faulhammer <fauli@g.o> acroread-9.2.ebuild:
+  x86 stable, security bug 289016
+
+  24 Oct 2009; Romain Perier <mrpouet@g.o>
+  acroread-9.2.ebuild:
+  Stable for amd64 due to multiple vulnerabilities fixed, per bug #289016.
+
+*acroread-9.2 (21 Oct 2009)
+
+  21 Oct 2009; Timo Gurr <tgurr@g.o> -acroread-8.1.6.ebuild,
+  -acroread-9.1.2.ebuild, +acroread-9.2.ebuild:
+  Version bump, remove old.
+
+  01 Aug 2009; Markus Meier <maekke@g.o> acroread-9.1.3.ebuild:
+  amd64/x86 stable, bug #278813
+
+*acroread-9.1.3 (31 Jul 2009)
+
+  31 Jul 2009; Timo Gurr <tgurr@g.o> -acroread-8.1.4.ebuild,
+  +acroread-9.1.3.ebuild:
+  Version bump, fixes 9.x only security issue (CVE-2009-1862), see bug
+  #278813. Remove old.
+
+  21 Jun 2009; Tobias Heinlein <keytoaster@g.o>
+  acroread-8.1.6.ebuild, acroread-9.1.2.ebuild:
+  amd64 stable, security bug #273908
+
+  18 Jun 2009; Christian Faulhammer <fauli@g.o>
+  acroread-9.1.2.ebuild:
+  stable x86, security bug 273908
+
+  18 Jun 2009; Christian Faulhammer <fauli@g.o>
+  acroread-8.1.6.ebuild:
+  stable x86, security bug 273908
+
+*acroread-9.1.2 (17 Jun 2009)
+*acroread-8.1.6 (17 Jun 2009)
+
+  17 Jun 2009; Timo Gurr <tgurr@g.o> -acroread-8.1.3.ebuild,
+  +acroread-8.1.6.ebuild, -acroread-9.1.0.ebuild, +acroread-9.1.2.ebuild:
+  Version bumps fixing security issues, see bug #267846 and #273908.
+
+  14 Apr 2009; Raúl Porcel <armin76@g.o> acroread-8.1.4.ebuild:
+  x86 stable wrt #259992
+
+  09 Apr 2009; Ulrich Mueller <ulm@g.o> acroread-8.1.4.ebuild,
+  acroread-9.1.0.ebuild:
+  Update elog message about nspluginwrapper, reflecting its move to
+  www-plugins, bug 265569.
+
+  08 Apr 2009; Tobias Heinlein <keytoaster@g.o>
+  acroread-8.1.4.ebuild:
+  amd64 stable wrt security bug #259992
+
+*acroread-9.1.0 (06 Apr 2009)
+*acroread-8.1.4 (06 Apr 2009)
+
+  06 Apr 2009; Timo Gurr <tgurr@g.o> -acroread-8.1.2-r3.ebuild,
+  +acroread-8.1.4.ebuild, +acroread-9.1.0.ebuild:
+  Version bump wrt security bug #259992. Also incorporates suggestion from
+  bug #253059, thanks to Keith Gable. Remove old.
+
+  08 Nov 2008; Markus Meier <maekke@g.o> acroread-8.1.3.ebuild:
+  x86 stable, bug #225483
+
+  06 Nov 2008; Tobias Heinlein <keytoaster@g.o>
+  acroread-8.1.3.ebuild:
+  amd64 stable, security bug #225483
+
+*acroread-8.1.3 (06 Nov 2008)
+
+  06 Nov 2008; Timo Gurr <tgurr@g.o> -acroread-8.1.2-r2.ebuild,
+  +acroread-8.1.3.ebuild:
+  Version bump. This version addresses many security issues, see bug
+  #225483. Also fixing bug #237376 and bug #237639, thanks Pacho Ramos for
+  the diff.
+
+  05 Oct 2008; Raúl Porcel <armin76@g.o> acroread-8.1.2-r2.ebuild,
+  acroread-8.1.2-r3.ebuild:
+  Explain why mozilla-firefox-bin can't be used as a RDEPEND
+
+  03 Aug 2008; Markus Ullmann <jokey@g.o> acroread-8.1.2-r3.ebuild:
+  Stable on x86 wrt security bug #233383
+
+  03 Aug 2008; Tobias Heinlein <keytoaster@g.o>
+  acroread-8.1.2-r3.ebuild:
+  amd64 stable wrt security bug #233383
+
+*acroread-8.1.2-r3 (01 Aug 2008)
+
+  01 Aug 2008; Timo Gurr <tgurr@g.o> -acroread-8.1.2.ebuild,
+  -acroread-8.1.2-r1.ebuild, +acroread-8.1.2-r3.ebuild:
+  Bump for Adobe Reader 8.1.2 Security Update 1, fixing security issue
+  CVE-2008-2641 bug #233383. Remove older versions.
+
+  27 Apr 2008; Markus Meier <maekke@g.o> acroread-8.1.2-r2.ebuild:
+  amd64/x86 stable, bug #219207
+
+*acroread-8.1.2-r2 (29 Mar 2008)
+
+  29 Mar 2008; Timo Gurr <tgurr@g.o> +files/gentoo_config,
+  +acroread-8.1.2-r2.ebuild:
+  Add acroread-8.1.2-r2.ebuild, fixing bug #214800 and #215202.
+
+  18 Mar 2008; Raúl Porcel <armin76@g.o> acroread-8.1.2.ebuild,
+  acroread-8.1.2-r1.ebuild:
+  Works fine with new versions of mozilla products, thanks to bheekling
+
+  16 Mar 2008; Markus Meier <maekke@g.o> acroread-8.1.2-r1.ebuild:
+  amd64 stable, security bug #212367
+
+  14 Mar 2008; Raúl Porcel <armin76@g.o> acroread-8.1.2.ebuild,
+  acroread-8.1.2-r1.ebuild:
+  Fix deps on =net-libs/xulrunner-1.8* and =www-client/mozilla-firefox-2.0*
+  wrt #213296
+
+  09 Mar 2008; Markus Meier <maekke@g.o> acroread-8.1.2-r1.ebuild:
+  x86 stable, security bug #212367
+
+*acroread-8.1.2-r1 (07 Mar 2008)
+
+  07 Mar 2008; Timo Gurr <tgurr@g.o> -files/acroread-expr.patch,
+  -files/acroread-low-startup-fontissue.patch, -files/acroread-scim.patch,
+  -acroread-7.0.9-r1.ebuild, -acroread-8.1.1-r1.ebuild,
+  -acroread-8.1.1-r2.ebuild, +acroread-8.1.2-r1.ebuild:
+  Add acroread-8.1.2-r1.ebuild, fixes bug #209401 and security bug #212367.
+  Also introduce a minimal USE flag. Remove old versions.
+
+  10 Feb 2008; Dawid Węgliński <cla@g.o> acroread-8.1.2.ebuild:
+  Stable on x86 (bug #170177)
+
+  10 Feb 2008; Olivier Crête <tester@g.o> acroread-8.1.2.ebuild:
+  Stable on amd64, security bug #170177
+
+*acroread-8.1.2 (07 Feb 2008)
+
+  07 Feb 2008; Timo Gurr <tgurr@g.o> +acroread-8.1.2.ebuild:
+  Add acroread-8.1.2.ebuild, version bump.
+
+*acroread-8.1.1-r2 (30 Jan 2008)
+
+  30 Jan 2008; Timo Gurr <tgurr@g.o> metadata.xml,
+  +acroread-8.1.1-r2.ebuild:
+  Add acroread-8.1.1-r2.ebuild, providing working amd64 dependencies. Also
+  fixing bug #206554.
+
+*acroread-8.1.1-r1 (18 Jan 2008)
+
+  18 Jan 2008; Timo Gurr <tgurr@g.o> -acroread-8.1.1.ebuild,
+  +acroread-8.1.1-r1.ebuild:
+  Revbump fixing bug #205927.
+
+  14 Jan 2008; Timo Gurr <tgurr@g.o> acroread-8.1.1.ebuild:
+  Enable more languages, fix some quoting. Still more work on it needed though.
+
+  28 Sep 2007; Kevin F. Quinn <kevquinn@g.o> acroread-8.1.1.ebuild:
+  Use XULRunner if available; also set /etc/gre.d/gre.conf for mozilla-firefox
+  so that acroread can find libgtkembedmoz.so without setting preferences.
+
+*acroread-8.1.1 (27 Sep 2007)
+
+  27 Sep 2007; Kevin F. Quinn <kevquinn@g.o> +acroread-8.1.1.ebuild:
+  New version - includes help viewer.
+
+  07 Apr 2007; Stefan Schweizer <genstef@g.o> -acroread-7.0.9.ebuild,
+  acroread-7.0.9-r1.ebuild:
+  remove old, fix wrapper creation, bug 173146 thanks to Ulrich Mueller
+  <ulm@...>
+
+  22 Feb 2007; Kevin F. Quinn <kevquinn@g.o> -acroread-7.0.8.ebuild,
+  -acroread-7.0.8-r1.ebuild:
+  Remove old (insecure) versions
+
+  20 Feb 2007; Marcus D. Hanwell <cryos@g.o>
+  acroread-7.0.9-r1.ebuild:
+  Stable on amd64, bug 156215.
+
+  20 Feb 2007; Raúl Porcel <armin76@g.o> acroread-7.0.9-r1.ebuild:
+  x86 stable wrt bug 156215
+
+  28 Jan 2007; Marius Mauch <genone@g.o> acroread-7.0.8.ebuild,
+  acroread-7.0.8-r1.ebuild, acroread-7.0.9.ebuild, acroread-7.0.9-r1.ebuild:
+  Replacing einfo with elog
+
+  17 Jan 2007; Kevin F. Quinn <kevquinn@g.o>
+  acroread-7.0.8-r1.ebuild, acroread-7.0.9-r1.ebuild:
+  Remove obsolete virtual/libstdc++-3.3 dependency (revisit of bug #146821)
+
+*acroread-7.0.9-r1 (16 Jan 2007)
+
+  16 Jan 2007; Kevin F. Quinn <kevquinn@g.o>
+  acroread-7.0.8-r1.ebuild, +acroread-7.0.9-r1.ebuild:
+  Pass parameters on from our script to the language-specific scripts.
+
+  16 Jan 2007; Christian Faulhammer <opfer@g.o>
+  acroread-7.0.9.ebuild:
+  stable x86, security bug #159874
+
+  14 Jan 2007; Kevin F. Quinn <kevquinn@g.o>
+  acroread-7.0.8-r1.ebuild, acroread-7.0.9.ebuild:
+  Fix quoting on =~ conditional to work also with bash-3.2_pre9 (bug #162018;
+  thanks all)
+
+  14 Jan 2007; Olivier Crête <tester@g.o> acroread-7.0.9.ebuild:
+  Make QA_TEXTRELS also apply to amd64
+
+  14 Jan 2007; <malc@g.o> acroread-7.0.9.ebuild:
+  Stable on amd64 wrt bug #159874
+
+*acroread-7.0.9 (14 Jan 2007)
+
+  14 Jan 2007; Kevin F. Quinn <kevquinn@g.o> metadata.xml,
+  +acroread-7.0.9.ebuild:
+  Version bump to 7.0.9; fixes some security flaws, especially in the browser
+  plugin (bug #159874).
+
+*acroread-7.0.8-r1 (22 Nov 2006)
+
+  22 Nov 2006; Kevin F. Quinn <kevquinn@g.o>
+  +acroread-7.0.8-r1.ebuild:
+  Rework to support multiple languages; resolve long-standing default language
+  problem - see bug #125366
+
+  18 Nov 2006; Stefan Schweizer <genstef@g.o> acroread-7.0.8.ebuild:
+  Use linguas_nb instead of no thanks to Alexander Nicolaysen Sørnes
+  <alex@...> in bug 152671
+
+  01 Oct 2006; Stefan Schweizer <genstef@g.o>
+  -files/acroread-langpack.patch, -acroread-7.0.5-r2.ebuild,
+  -acroread-7.0.5-r3.ebuild, acroread-7.0.8.ebuild:
+  All languages are available now, thanks to Giacomo Perale
+  <ghepeu@...> in bug 149592
+
+  08 Sep 2006; Stefan Schweizer <genstef@g.o> acroread-7.0.8.ebuild:
+  remove unused libstdc++ depend, thanks Peter Hyman <pete4abw@...> in
+  bug 146821
+
+  31 Jul 2006; Simon Stelling <blubb@g.o> acroread-7.0.8.ebuild:
+  stable on amd64 wrt bug 136415
+
+  31 Jul 2006; Joshua Jackson <tsunam@g.o> acroread-7.0.8.ebuild:
+  Stable x86; security bug #136415
+
+  29 Jul 2006; Stefan Schweizer <genstef@g.o> acroread-7.0.8.ebuild:
+  acrobat now offers the download for some languages besides englisch
+
+  20 Jul 2006; Michael Sterrett <mr_bones_@g.o>
+  -acroread-5.10.ebuild:
+  removed old crufty version with broken cjk deps
+
+  08 Jul 2006; Stefan Schweizer <genstef@g.o>
+  acroread-7.0.5-r2.ebuild, acroread-7.0.5-r3.ebuild:
+  Add small fix to make it work with gtk+-2.10 thanks to Martin Schlemmer
+  <azarah@g.o> in bug 139533
+
+  07 Jul 2006; Stefan Schweizer <genstef@g.o>
+  acroread-7.0.5-r2.ebuild, acroread-7.0.5-r3.ebuild:
+  Add linguas to IUSE, bug 136953
+
+  18 Jun 2006; Stefan Schweizer <genstef@g.o> +acroread-7.0.8.ebuild,
+  +files/acroread-expr.patch:
+  Version bump, bug 136415, expr patch bug 133934, thanks to Walter Meinl
+  <wuno@...>
+
+  01 Jun 2006; Stefan Schweizer <genstef@g.o> acroread-5.10.ebuild,
+  -acroread-7.0.1.1.ebuild, -acroread-7.0.5.ebuild,
+  -acroread-7.0.5-r1.ebuild, acroread-7.0.5-r2.ebuild,
+  acroread-7.0.5-r3.ebuild:
+  RDEPEND on ~virtual/libstdc++-3.3 thanks to Yuri Vasilevski
+  <yvasilev@g.o> in bug 109750, remove unused ebuilds
+
+  21 Apr 2006; Marcelo Goes <vanquirius@g.o> acroread-5.10.ebuild,
+  acroread-7.0.1.1.ebuild, acroread-7.0.5.ebuild, acroread-7.0.5-r1.ebuild,
+  acroread-7.0.5-r2.ebuild, acroread-7.0.5-r3.ebuild:
+  Remove virtual/pdfviewer PROVIDE for bug 130746, reported by Carsten Lohrke
+  <carlo at gentoo dot org>.
+
+  06 Apr 2006; Markus Ullmann <jokey@g.o>
+  +files/acroread-langpack.patch:
+  Adding langpack patch and whitespace cleanups
+
+*acroread-7.0.5-r3 (06 Apr 2006)
+
+  06 Apr 2006; Markus Ullmann <jokey@g.o> +acroread-7.0.5-r3.ebuild:
+  Adding languagepack building support
+
+  15 Mar 2006; Herbie Hopkins <herbs@g.o> acroread-7.0.5-r2.ebuild:
+  Stable on amd64.
+
+  07 Mar 2006; Joshua Jackson <tsunam@g.o> acroread-7.0.5-r2.ebuild:
+  Stable on x86; for below mentioned fixes
+
+*acroread-7.0.5-r2 (06 Mar 2006)
+
+  06 Mar 2006; Stefan Schweizer <genstef@g.o>
+  +files/acroread-low-startup-fontissue.patch, +acroread-7.0.5-r2.ebuild:
+  Workaround slow startup by disabling the fontpath-cache thanks to jokey and
+  ferdy, also closes bug 125253, also readd some languages that were dropped
+  before
+
+  22 Feb 2006; Joshua Jackson <tsunam@g.o> acroread-7.0.5-r1.ebuild:
+  Stable on x86 thanks for testing Segin; bug #123344
+
+  17 Jan 2006; Stefan Schweizer <genstef@g.o> acroread-7.0.5.ebuild:
+  Fix chmod thanks to Alexander Skwar <askwar@...> in bug 118015
+
+*acroread-7.0.5-r1 (12 Jan 2006)
+
+  12 Jan 2006; Herbie Hopkins <herbs@g.o> +acroread-7.0.5-r1.ebuild:
+  Add a binary libcups that's pulled in with USE=-cups to avoid unconditionaly
+  depending on cups (bug 118745). Remove the amd64 gconv workaround, this was
+  fixed in glibc a while ago.
+
+  11 Jan 2006; Herbie Hopkins <herbs@g.o> acroread-7.0.5.ebuild:
+  Also fix the x86 deps for bug 118417 (with the ok from genstef).
+
+  11 Jan 2006; Herbie Hopkins <herbs@g.o> acroread-7.0.5.ebuild:
+  Adjusted amd64 deps for bug 118417, libcups is required to avoid crash when
+  printing.
+
+*acroread-7.0.5 (07 Jan 2006)
+
+  07 Jan 2006; Luis Medinas <metalgod@g.o> +acroread-7.0.5.ebuild:
+  Version Bump. Thanks to M. Garcia <ignaciomonge@...> closes bug
+  #118167. Dropped a few languages since the upstream doesn't have them ready
+  for this release.
+
+  03 Nov 2005; Luis Medinas <metalgod@g.o>
+  -acroread-7.0.0.2-r2.ebuild:
+  Removed older version.
+
+  21 Oct 2005; Stefan Schweizer <genstef@g.o>
+  acroread-7.0.1.1.ebuild:
+  Add USE=-nls support for disabling localization, thanks to truedfx
+
+  18 Aug 2005; Luis Medinas <metalgod@g.o> acroread-7.0.1.1.ebuild:
+  Adding every languages packs available. Fixes bug #102795.
+
+  16 Aug 2005; Luis Medinas <metalgod@g.o> +acroread-7.0.1.1.ebuild:
+  Version Bump Fix Security bug #102730. Removed mozilla use flag and added
+  nsplugin local use flag to fix bug #101165.
+
+*acroread-7.0.1.1 (16 Aug 2005)
+
+  16 Aug 2005; Luis Medinas <metalgod@g.o> +acroread-7.0.1.1.ebuild:
+  Version Bump Fix Security bug #102730. Removed mozilla use flag and added
+  nsplugin local use flag to fix bug #101165.
+
+  11 Aug 2005; Diego Pettenò <flameeyes@g.o> acroread-5.10.ebuild,
+  acroread-7.0.0.2-r2.ebuild:
+  Call has_multilib_profile from pkg_setup instead of global scope.
+
+  04 Aug 2005; Herbie Hopkins <herbs@g.o> acroread-7.0.0.2-r2.ebuild:
+  Don't disable security plugin on amd64 any more since we have openldap in
+  >=emul-baselibs-2.
+
+  24 Jul 2005; Stefan Schweizer <genstef@g.o>
+  acroread-7.0.0.2-r2.ebuild:
+  Depend on gtk+-2.0 as per bug 98889 thanks to Boris <borisdusek@...>,
+  arne anka <arne.anka@...> and Luis Medinas <lmedinas@...>
+
+  29 Jun 2005; Simon Stelling <blubb@g.o> acroread-7.0.0.2-r2.ebuild:
+  stable on amd64
+
+  29 Jun 2005; Stefan Schweizer <genstef@g.o> -acroread-7.0.ebuild,
+  -acroread-7.0.0.2.ebuild, -acroread-7.0.0.2-r1.ebuild,
+  acroread-7.0.0.2-r2.ebuild:
+  7.0.0.2-r2 x86 stable thanks to Kamil Gornik <gentoo@...>, Kim Pedersen
+  <misc@...> and Nikhil Sethi <nikhil.sethi@...> in bug 89008,
+  remove old ebuilds.
+
+*acroread-7.0.0.2-r2 (11 Jun 2005)
+
+  11 Jun 2005; MATSUU Takuto <matsuu@g.o>
+  +acroread-7.0.0.2-r2.ebuild:
+  Added linguas_{ja,ko,zh_CN,zh_TW}.
+  Removed PDEPEND="media-fonts/acroread-asianfonts".
+
+  10 Jun 2005; Stefan Schweizer <genstef@g.o>
+  acroread-7.0.0.2-r1.ebuild:
+  Move the noplugin to the mozilla useflag, thanks to Alessio D'Ascanio
+  <otaku@...> in bug 94651
+
+*acroread-7.0.0.2-r1 (18 May 2005)
+
+  18 May 2005; Stefan Schweizer <genstef@g.o>
+  +files/acroread-scim.patch, +acroread-7.0.0.2-r1.ebuild:
+  Adding german and english versions thanks to tuXXer <bs.net@...>, Jakub
+  Moc <jakub.moc@...>, Heinrich Wendel <lanius@g.o> and Rafael
+  Kolless <rafael@...> in bug 92699. Fix startup bug with scim thanks
+  to Clement Siuchung Cheung <sccheung@...> and Ulrich Plate
+  <plate@g.o> in bug 89766
+
+*acroread-7.0.0.2 (14 May 2005)
+
+  14 May 2005; Stefan Schweizer <genstef@g.o>
+  +acroread-7.0.0.2.ebuild:
+  New version thanks to Martin Adler <martin.adler@...> in bug 88956
+
+  28 Mar 2005; Mamoru KOMACHI <usata@g.o> acroread-5.10.ebuild,
+  acroread-7.0.ebuild:
+  Added cjk USE flag back; bug #85343.
+
+  25 Mar 2005; Danny van Dyk <kugelfang@g.o> acroread-5.10.ebuild,
+  acroread-7.0.ebuild:
+  Acroread provides x86 binaries/plugins only. Set ABI to x86 to make sure the
+  plugins end up in lib32.
+
+  18 Mar 2005; Stefan Schweizer <genstef@g.o> acroread-7.0.ebuild:
+  Fix plugin-installation thanks to Kevin Andre Vatn.
+  <kevinava@...>, fix typos thanks to SwifT, thanks to appro
+  for testing.
+
+  16 Mar 2005; Jan Brinkmann <luckyduck@g.o> acroread-5.10.ebuild:
+  stable on amd64, fixes #85101
+
+  15 Mar 2005; Stefan Schweizer <genstef@g.o> acroread-7.0.ebuild:
+  Ebuild cleanup, version 0.7 bug 85226, adding ldap use-flag for bug 85297
+  thanks to Lee Trager <nukem@...> and devinkinder@...,
+  removing asainfonts DEPEND, thanks to Chin Yee <polar88bear@...> in
+  bug 85343. Thanks to Herbie Hopkins and others.
+
+*acroread-7.0 (14 Mar 2005)
+
+  14 Mar 2005; Stefan Schweizer <genstef@g.o> +acroread-7.0.ebuild:
+  version bump
+
+  14 Jan 2005; Jan Brinkmann <luckyduck@g.o> acroread-5.10.ebuild:
+  back to amd64 from of emul-linux-x86
+
+  12 Jan 2005; Jan Brinkmann <luckyduck@g.o> acroread-5.10.ebuild:
+  migrated from amd64? to emul-linux-x86? dependency.
+
+*acroread-5.10 (16 Dec 2004)
+
+  16 Dec 2004; lanius@g.o -acroread-5.010.ebuild,
+  +acroread-5.10.ebuild:
+  rename 5.010 to 5.10 because 5.010 < 5.09
+
+  15 Dec 2004; lanius@g.o -acroread-5.09-r1.ebuild,
+  -acroread-5.09.ebuild:
+  remove old versions
+
+*acroread-5.010 (15 Dec 2004)
+
+  15 Dec 2004; lanius@g.o +acroread-5.010.ebuild:
+  security bump, bug #74406
+
+  25 Oct 2004; Mamoru KOMACHI <usata@g.o> acroread-5.09-r1.ebuild,
+  acroread-5.09.ebuild:
+  Provide virtual/pdfviewer; bug #50423.
+
+  23 Sep 2004; Michael Sterrett <mr_bones_@g.o>
+  acroread-5.09-r1.ebuild:
+  fix use invocation; error check sed; tidy
+
+*acroread-5.09-r1 (22 Sep 2004)
+
+  22 Sep 2004; Heinrich Wendel <lanius@g.o> +acroread-5.09-r1.ebuild:
+  add browser plugin
+
+  30 Aug 2004; Danny van Dyk <kugelfang@g.o> acroread-5.09.ebuild:
+  Fixed BUG #62110. Many thx to Evgeny Strambulchik.
+
+  13 Aug 2004; <plasmaroo@g.o> acroread-5.09.ebuild:
+  Marking 5.09 stable since it was updated for a security issue. Bug #60205.
+
+  01 Jul 2004; Jeremy Huddleston <eradicator@g.o> acroread-5.08.ebuild,
+  acroread-5.09.ebuild:
+  virtual/glibc -> virtual/libc
+
+*acroread-5.09 (19 Jun 2004)
+
+  19 Jun 2004; Mamoru KOMACHI <usata@g.o> acroread-5.09.ebuild:
+  Version bumped. This closes bug #54162
+
+  28 Apr 2004; Heinrich Wendel <lanius@g.o> acroread-5.08.ebuild:
+  revert that, it was wrong
+
+  28 Apr 2004; Heinrich Wendel <lanius@g.o> acroread-5.08.ebuild:
+  install startup script in /opt/bin, bug #49278
+
+  30 Oct 2003; Mamoru KOMACHI <usata@g.o>
+  files/acroread-utf8-gentoo.diff:
+  Applied a patch from SuSE, see bug #32170
+
+  07 Oct 2003; John Mylchreest <johnm@g.o>; acroread-5.08.ebuild:
+  fixing POSIX 1003.1-2001 chown change. '.' now ':'
+
+  03 Oct 2003; Mamoru KOMACHI <usata@g.o> acroread-5.06-r3.ebuild,
+  acroread-5.07-r1.ebuild, acroread-5.07.ebuild:
+  Removed old exploitable versions. See Bug #26784.
+
+*acroread-5.08 (11 Aug 2003)
+
+  12 Sep 2003; Mamoru KOMACHI <usata@g.o> acroread-5.08.ebuild:
+  Marked as stable
+
+  11 Aug 2003; Mamoru KOMACHI <usata@g.o> acroread-5.08.ebuild:
+  New version
+
+*acroread-5.07-r1 (22 Jul 2003)
+
+  12 Aug 2003; Mamoru KOMACHI <usata@g.o> acroread-5.07-r1.ebuild,
+  acroread-5.07.ebuild, acroread-5.08.ebuild:
+  Fixed wrong directory permissions.  Thanks to petre rodan
+  <petre.rodan@...> in bug #25931
+
+  22 Jul 2003; MATSUU Takuto <matsuu@g.o> acroread-5.07-r1.ebuild:
+  add cjk flag. Bug 20821.
+
+*acroread-5.07 (18 Jun 2003)
+
+  18 Jun 2003; <msterret@g.o> acroread-5.07.ebuild:
+  version bump to address Bug 23054
+
+*acroread-5.06-r3 (16 Feb 2003)
+
+  16 Feb 2003; Seemant Kulleen <seemant@g.o> acroread-5.06-r1.ebuild acroread-5.06-r2.ebuild acroread-5.06-r3.ebuild files/acroread-utf8-gentoo.diff files/digest-acroread-5.06-r3 :
+  patch to allow acroread to function in a UTF-8 environment.  thanks to: Markus Bertheau <ska-fan@g.o>
+
+*acroread-5.06-r2 (21 Nov 2002)
+
+  14 Jan 2003; Martin Holzer <mholzer@g.o> acroread-5.0.6-r2.ebuild :
+  Fixed errormsg during chown.
+
+  21 Nov 2002; phoen][x <phoenix@g.o> acroread-5.0.6-r2.ebuild,
+  files/digest-acroread-5.0.6-r2 :
+  Switched to the new nsplugins layout.
+
+*acroread-5.06-r1 (13 Aug 2002)
+
+  14 Jan 2003; Martin Holzer <mholzer@g.o> acroread-5.0.6-r1.ebuild :
+  Fixed errormsg during chown.
+
+  17 Oct 2002; Daniel Ahlberg <aliz@g.o> acroread-5.0.6-r1.ebuild :
+  Added IUSE.
+
+  13 Aug 2002; Seemant Kulleen <seemant@g.o> acroread-5.06-r1.ebuild :
+
+  Major bug fixes now make acroread work as a browser plugin (gasp!).  Many
+  thanks to Mark Hazen <markh@...> in bug #4046.
+
+*acroread-5.06 (25 Jul 2002)
+
+  17 Oct 2002; Daniel Ahlberg <aliz@g.o> acroread-5.0.6.ebuild :
+  Added IUSE.
+
+  06 Aug 2002; Mark Guertin <gerk@g.o> :
+  Added -ppc to keywords
+
+  25 Jul 2002; Seemant Kulleen <seemant@g.o> acroread-5.06.ebuild
+  files/digest-acroread-5.06 :
+
+  Version bump which sorts the security vulnerability.  Thanks to:
+  marko@... (Marko Mikulicic) in bug #5571 for the update.
+
+*acroread-5.05-r6 (12 Jul 2002)
+
+  12 Jul 2002; Seemant Kulleen <seemant@g.o> acroread-5.05-r6.ebuild
+  files/acroread files/digest-acroread-5.05-r6 :
+
+  Used perl wrapper script from securityfocus around this.  It is safe from
+  the security bug now, at least somewhat.  Suggested by:
+  danielsabo@... (Daniel Sabo) in bug $4688.  This package will
+  also be masked.
+
+*acroread-5.05-r5 (07 Jul 2002)
+
+  07 Jul 2002; Seemant Kulleen <seemant@g.o> acroread-5.05-r5.ebuild
+  files/digest-acroread-5.05-r5 :
+
+  This is now a meta-package that installs xpdf instead.  Security bug
+  exists: http://online.securityfocus.com/archive/1/278984
+
+  Many thanks to: jago@... (Dan Naumov) in bug #4657.
+
+*acroread-5.05-r4 (4 Jun 2002)
+
+  4 Jun 2002; Seemant Kulleen <seemant@g.o> acroread-5.05-r4.ebuild
+  files/digest-acroread-5.05-r4 :
+
+  More fixes.  The symlinks from the last fix were not being created
+  properly.  This closes bug #3260 again.
+
+*acroread-5.05-r3 (3 Jun 2002)
+
+  3 Jun 2002; Seemant Kulleen <seemant@g.o> acroread-5.05-r3.ebuild
+  files/digest-acroread-5.05-r3 :
+
+  Ownership and permission fixes.  This closes bug #3260 by
+  gentoo-bugs@... (Paul de Vrieze)
+
+*acroread-5.05-r2 (25 May 2002)
+
+  25 May 2002; Seemant Kulleen <seemant@g.o> acroread-5.05-r2.ebuild
+  files/digest-acroread-5.05-r2 :
+
+  More symlink fixes by Tristan Henderson. Closes bug 3009
+
+*acroread-5.05-r1 (24 May 2002)
+
+  24 May 2002; Seemant Kulleen <seemant@g.o> acroread-5.05-r1.ebuild
+  files/digest-acroread-5.05-r1 :
+
+  Symlinks (for mozilla) fixes by T.Henderson@... (Tristan
+  Henderson) in bug #2950 and also by
+  fjleon@... (Francisco Leo'n) in bug #2976.  Also, Tristan pointed
+  out a typo in the install path.
+
+*acroread-5.05 (22 May 2002)
+
+  22 May 2002; Seemant Kulleen <seemant@g.o> acroread-5.05.ebuild
+  files/digest-acroread-5.05 files/10acroread5 :
+
+  version bump.
+
+*acroread-4.05-r4 (4 Apr 2002)
+
+  4 Apr 2002; Tod Neidt <tod@g.o> acroread-4.05-r4.ebuild :
+
+  Fix for mozilla symlink.
+
+*acroread-4.05-r3 (3 Apr 2002)
+
+  3 Apr 2002; Seemant Kulleen <seemant@g.o> acroread-4.05-r3.ebuild :
+
+  If mozilla is in USE, then a symlink to the mozilla libs allows acroread to
+  be a mozilla plug-in.  Fix submitted by: m3thos@... 
+  (Miguel Sousa Filipe)
+
+*acroread-4.05-r2 (1 Feb 2002)
+
+  1 Feb 2002; G.Bevin <gbevin@g.o> ChangeLog :
+  
+  Added initial ChangeLog which should be updated whenever the package is
+  updated in any way. This changelog is targetted to users. This means that the
+  comments should well explained and written in clean English. The details about
+  writing correct changelogs are explained in the skel.ChangeLog file which you
+  can find in the root directory of the portage repository.

diff --git a/app-text/acroread/Manifest b/app-text/acroread/Manifest
new file mode 100644
index 0000000..3184f11
--- /dev/null
+++ b/app-text/acroread/Manifest
@@ -0,0 +1,5 @@
+AUX gentoo_config 356 RMD160 fde2e1f78d39d39611ea91fc94f8c31bc8634425 SHA1 ce38b7160e842d970804216e156d5edbcbfd3e1d SHA256 f7742c4df12cf080fbd763a78cb367b1015b57b58a00896b12931c0416bfc68f
+DIST AdbeRdr9.4.6-1_i486linux_enu.tar.bz2 57106801 RMD160 dbc710f8719348557f23ffb523cb73964630c7d0 SHA1 4da233b87be25b433f47c5ce2a38f0fb5b0cb2f9 SHA256 27dc5adb431ed33babe337b6fdc9098208f5d7efc50e9cc982972fbad82e8615
+EBUILD acroread-9.4.6.ebuild 8063 RMD160 bb1d16f297a323e99e087f0c8e57e69d9a0e69a6 SHA1 e6fc84e774f364a80a79000e5888c78600046c8b SHA256 9c70d1ba10b27ed99d6b9ff8d0d090eb75050f55809dab01ce8090dcdb305b91
+MISC ChangeLog 28626 RMD160 2f86dc01e4bf0652740e19586c484165dc7a68c3 SHA1 77ef5dce2f9bcfc009b1bd4d0602387227fbe313 SHA256 96cdc86e68007de15ba9be09ed588f10bb68bf254ae1a75f68d81bbdb365cf10
+MISC metadata.xml 161 RMD160 1e5b1e42553c8869b93c4a5448e9a2a2ed9fe525 SHA1 209c6a46e4cdd891980115e42ba419e3799f8088 SHA256 7c85e6739a71f5bb23e8de36c88677d772946e61f7285892f7554e37bd2bca76

diff --git a/app-text/acroread/acroread-9.4.6.ebuild b/app-text/acroread/acroread-9.4.6.ebuild
new file mode 100644
index 0000000..a25335e
--- /dev/null
+++ b/app-text/acroread/acroread-9.4.6.ebuild
@@ -0,0 +1,254 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-text/acroread/acroread-9.4.2.ebuild,v 1.6 2011/06/25 07:40:18 zmedico Exp $
+
+EAPI="1"
+
+inherit eutils gnome2-utils nsplugins
+
+DESCRIPTION="Adobe's PDF reader"
+HOMEPAGE="http://www.adobe.com/products/reader/"
+IUSE="cups ldap minimal nsplugin"
+
+SRC_HEAD="http://ardownload.adobe.com/pub/adobe/reader/unix/9.x/${PV}"
+SRC_FOOT=".tar.bz2"
+
+# languages not available yet: de:deu fr:fra it:ita es:esp ja:jpn pt:ptb sv:sve zh_CN:chs zh_TW:cht fi:suo nb:nor nl:nld ko:kor da:dan
+LINGUA_LIST="en:enu"
+DEFAULT_URI="${SRC_HEAD}/enu/AdbeRdr${PV}-1_i486linux_enu${SRC_FOOT}"
+for ll in ${LINGUA_LIST} ; do
+	iuse_l="linguas_${ll/:*}"
+	src_l=${ll/*:}
+	IUSE="${IUSE} ${iuse_l}"
+	DEFAULT_URI="!${iuse_l}? ( ${DEFAULT_URI} )"
+	SRC_URI="${SRC_URI}
+		${iuse_l}? ( ${SRC_HEAD}/${src_l}/AdbeRdr${PV}-1_i486linux_${src_l}${SRC_FOOT} )"
+done
+SRC_URI="${SRC_URI}
+	${DEFAULT_URI}"
+
+LICENSE="Adobe"
+SLOT="0"
+KEYWORDS="-* amd64 x86"
+RESTRICT="strip mirror"
+
+# mozilla-firefox-bin won't work because it doesn't have gtkembedmoz.so
+RDEPEND="media-libs/fontconfig
+	x86? ( =dev-libs/openssl-0.9.8* )
+	cups? ( net-print/cups )
+	x86? ( x11-libs/gtk+:2
+			ldap? ( net-nds/openldap )
+			!minimal? ( || ( net-libs/xulrunner
+						www-client/firefox
+						www-client/seamonkey ) ) )
+	amd64? ( app-emulation/emul-linux-x86-gtklibs )"
+
+QA_EXECSTACK="opt/Adobe/Reader9/Reader/intellinux/bin/acroread
+	opt/Adobe/Reader9/Reader/intellinux/lib/libauthplay.so.0.0.0
+	opt/Adobe/Reader9/Reader/intellinux/lib/libsccore.so
+	opt/Adobe/Reader9/Reader/intellinux/lib/libcrypto.so.0.9.8
+	opt/Adobe/Reader9/Reader/intellinux/plug_ins/PPKLite.api"
+
+QA_DT_HASH="opt/Adobe/Reader9/Reader/intellinux/plug_ins3d/.*.x3d
+	opt/Adobe/Reader9/Reader/intellinux/lib/lib.*
+	opt/Adobe/Reader9/Reader/intellinux/bin/SynchronizerApp-binary
+	opt/Adobe/Reader9/Reader/intellinux/bin/acroread
+	opt/Adobe/Reader9/Reader/intellinux/bin/xdg-user-dirs-update
+	opt/Adobe/Reader9/Reader/intellinux/SPPlugins/ADMPlugin.apl
+	opt/Adobe/Reader9/Reader/intellinux/plug_ins/AcroForm/PMP/.*.pmp
+	opt/Adobe/Reader9/Reader/intellinux/plug_ins/Multimedia/MPP/.*.mpp
+	opt/Adobe/Reader9/Reader/intellinux/plug_ins/.*.api
+	opt/Adobe/Reader9/Reader/intellinux/sidecars/.*.DEU
+	opt/Adobe/Reader9/Browser/intellinux/nppdf.so
+	opt/netscape/plugins/nppdf.so"
+
+INSTALLDIR=/opt
+
+S="${WORKDIR}/AdobeReader"
+
+# Actually, ahv segfaults when run standalone so presumably
+# it isn't intended for direct use - so the only launcher is
+# acroread after all.
+LAUNCHERS="Adobe/Reader9/bin/acroread"
+#	Adobe/HelpViewer/1.0/intellinux/bin/ahv"
+
+pkg_setup() {
+	# x86 binary package, ABI=x86
+	has_multilib_profile && ABI="x86"
+}
+
+# Determine lingua from filename
+acroread_get_ll() {
+	local f_src_l ll lingua src_l
+	f_src_l=${1/${SRC_FOOT}}
+	f_src_l=${f_src_l/*_}
+	for ll in ${LINGUA_LIST} ; do
+		lingua=${ll/:*}
+		src_l=${ll/*:}
+		if [[ ${src_l} == ${f_src_l} ]] ; then
+			echo ${lingua}
+			return
+		fi
+	done
+	die "Failed to match file $1 to a LINGUA; please report."
+}
+
+src_unpack() {
+	local ll linguas fl launcher
+	# Unpack all into the same place; overwrite common files.
+	fl=""
+	for pkg in ${A} ; do
+		cd "${WORKDIR}"
+		unpack ${pkg}
+		cd "${S}"
+		tar xf ILINXR.TAR || die "Failed to unpack ILINXR.TAR."
+		tar xf COMMON.TAR || die "Failed to unpack COMMON.TAR."
+		ll=$(acroread_get_ll ${pkg})
+		for launcher in ${LAUNCHERS} ; do
+			mv ${launcher} ${launcher}.${ll}
+		done
+		if [[ -z ${fl} ]] ; then
+			fl=${ll}
+			linguas="${ll}"
+		else
+			linguas="${linguas} ${ll}"
+		fi
+	done
+	if [[ ${linguas} == ${fl} ]] ; then
+		# Only one lingua selected - skip building the wrappers
+		for launcher in ${LAUNCHERS} ; do
+			mv ${launcher}.${fl} ${launcher} ||
+				die "Failed to put ${launcher}.${fl} back to ${launcher}; please report."
+		done
+	else
+		# Build wrappers.  Launch the acroread for the environment variable
+		# LANG (matched with a trailing * so that for example 'de_DE' matches
+		# 'de', 'en_GB' matches 'en' etc).
+		#
+		# HelpViewer is new - We don't know if Adobe are likely to
+		# internationalize it or not.
+		for launcher in ${LAUNCHERS} ; do
+			cat > ${launcher} <<-EOF
+				#!/bin/bash
+				# Copyright 1999-2009 Gentoo Foundation
+				# Distributed under the terms of the GNU General Public License v2
+				#
+				# Automatically generated by ${CATEGORY}/${PF}
+
+				# Exec the acroread script for the language chosen in
+				# LC_ALL/LC_MESSAGES/LANG (first found takes precedence, as in glibc)
+				L=\${LC_ALL}
+				L=\${L:-\${LC_MESSAGES}}
+				L=\${L:-\${LANG}}
+				case \${L} in
+			EOF
+			for ll in ${linguas} ; do
+				echo "${ll}*) exec ${INSTALLDIR}/${launcher}.${ll} \"\$@\";;" >> ${launcher}
+			done
+			# default to English (in particular for LANG=C)
+			cat >> ${launcher} <<-EOF
+				*) exec ${INSTALLDIR}/${launcher}.${fl} "\$@";;
+				esac
+			EOF
+			chmod 755 ${launcher}
+		done
+	fi
+
+	# remove cruft
+	rm "${S}"/Adobe/Reader9/bin/UNINSTALL
+	rm "${S}"/Adobe/Reader9/Browser/install_browser_plugin
+	rm "${S}"/Adobe/Reader9/Resource/Support/vnd.*.desktop
+
+	# replace some configuration sections
+	for binfile in "${S}"/Adobe/Reader9/bin/* ; do
+		sed -i -e '/Font-config/,+9d' \
+			-e "/acrogre.conf/r ${FILESDIR}/gentoo_config" -e //N \
+			"${binfile}" || die "sed configuration settings failed."
+	done
+}
+
+src_install() {
+	# Install desktop files
+	domenu Adobe/Reader9/Resource/Support/AdobeReader.desktop || die "Installing desktop files failed."
+
+	# Install commonly used icon sizes
+	for res in 16x16 22x22 32x32 48x48 64x64 128x128 ; do
+		insinto /usr/share/icons/hicolor/${res}/apps
+		doins Adobe/Reader9/Resource/Icons/${res}/* || die "Installing icons failed."
+	done
+
+	dodir /opt || die "Creating directory failed."
+	chown -R --dereference -L root:0 Adobe
+	cp -dpR Adobe "${D}"opt/
+
+	doman Adobe/Reader9/Resource/Shell/acroread.1.gz || die "Installing manpage failed."
+
+	if use nsplugin ; then
+		exeinto /opt/netscape/plugins
+		doexe Adobe/Reader9/Browser/intellinux/nppdf.so || die "Installing the browser plugin failed."
+		inst_plugin /opt/netscape/plugins/nppdf.so
+	fi
+
+	dodir /opt/bin || die "Creating directory failed."
+	for launcher in ${LAUNCHERS} ; do
+		dosym /opt/${launcher} /opt/bin/${launcher/*bin\/} || die "Installing launcher symlinks failed."
+	done
+
+	# We need to set a MOZILLA_COMP_PATH for seamonkey and firefox since
+	# they don't install a configuration file for libgtkembedmoz.so
+	# detection in /etc/gre.d/ like xulrunner does.
+	if ! use minimal ; then
+		if use x86 ; then
+			for lib in /opt/seamonkey /usr/lib/seamonkey /usr/lib/mozilla-firefox ; do
+				if [[ -f ${lib}/libgtkembedmoz.so ]] ; then
+					echo "MOZILLA_COMP_PATH=${lib}" >> "${D}"${INSTALLDIR}/Adobe/Reader9/Reader/GlobalPrefs/mozilla_config
+					elog "Adobe Reader depends on libgtkembedmoz.so, which I've found on"
+					elog "your system in ${lib}, and configured in ${INSTALLDIR}/Adobe/Reader9/Reader/GlobalPrefs/mozilla_config."
+					break # don't search any more libraries
+				fi
+			done
+		fi
+	fi
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst () {
+	local ll lc
+	lc=0
+	for ll in ${LINGUA_LIST} ; do
+		use linguas_${ll/:*} && (( lc = ${lc} + 1 ))
+	done
+	if [[ ${lc} > 1 ]] ; then
+		echo
+		elog "Multiple languages have been installed, selected via a wrapper script."
+		elog "The language is selected according to the LANG environment variable"
+		elog "(defaulting to English if LANG is not set, or no matching language"
+		elog "version is installed). Users may need to remove their preferences in"
+		elog "~/.adobe to switch languages."
+		echo
+	fi
+
+	if use minimal ; then
+		echo
+		ewarn "If you want html support and/or view the Adobe Reader help you have"
+		ewarn "to re-emerge acroread with USE=\"-minimal\"."
+		echo
+	fi
+
+	if use nsplugin ; then
+		echo
+		elog "If you're running a 64bit browser you may also want to install"
+		elog "\"www-plugins/nspluginwrapper\" to be able to use the Adobe Reader"
+		elog "browser plugin."
+		echo
+	fi
+
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}

diff --git a/app-text/acroread/files/gentoo_config b/app-text/acroread/files/gentoo_config
new file mode 100644
index 0000000..1ca8729
--- /dev/null
+++ b/app-text/acroread/files/gentoo_config
@@ -0,0 +1,10 @@
+# Enable this if you want Adobe Reader to cache Font-config fonts
+ACRO_ENABLE_FONT_CONFIG=1
+export ACRO_ENABLE_FONT_CONFIG
+
+# Enable this if you want to set the MOZILLA_COMP_PATH globally (for all the users)
+if [ -f "$ACRO_INSTALL_DIR/GlobalPrefs/mozilla_config" ]; then
+    . "$ACRO_INSTALL_DIR/GlobalPrefs/mozilla_config"
+   export MOZILLA_COMP_PATH
+fi
+

diff --git a/app-text/acroread/metadata.xml b/app-text/acroread/metadata.xml
new file mode 100644
index 0000000..1fa0ca5
--- /dev/null
+++ b/app-text/acroread/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>printing</herd>
+</pkgmetadata>


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in sys-devel/clang: clang-9999.ebuild ChangeLog clang-2.9-r1.ebuild clang-3.0_rc3.ebuild clang-2.8-r3.ebuild
Next by thread:
gentoo-x86 commit in eclass: ChangeLog mozconfig-3.eclass
Previous by date:
gentoo-x86 commit in sys-devel/clang: clang-9999.ebuild ChangeLog clang-2.9-r1.ebuild clang-3.0_rc3.ebuild clang-2.8-r3.ebuild
Next by date:
gentoo-x86 commit in eclass: ChangeLog mozconfig-3.eclass


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.